<!DOCTYPE html>
<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">
  <head>
    <meta charset="utf-8" />
<link rel="canonical" href="http://default/tag/calidad" />
<meta name="Generator" content="Drupal 9 (https://www.drupal.org)" />
<meta name="MobileOptimized" content="width" />
<meta name="HandheldFriendly" content="true" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="shortcut icon" href="/themes/contrib/material_base/starterkits/material_compile/favicon.ico" type="image/vnd.microsoft.icon" />
<link rel="delete-form" href="/taxonomy/term/6/delete" />
<link rel="edit-form" href="/taxonomy/term/6/edit" />
<link rel="alternate" type="application/rss+xml" title="Calidad" href="http://default/taxonomy/term/6/feed" />

    <title>Calidad | Blog de Oskar</title>
    <link rel="stylesheet" media="all" href="/sites/default/files/css/css_3PcFAjRSdZ_bz3MJfz8L_RikGRUw4v0YNxuyLDOV8ww.css" />
<link rel="stylesheet" media="all" href="/sites/default/files/css/css_NyznZm3NpCaIvk4H9UoR0TjuyZOw0VQyBReYksZbsJM.css" />

    
  </head>
  <body class="one-sidebar sidebar-first navbar-fixed path-taxonomy">
    <a href="#main-content" class="visually-hidden focusable">
      Skip to main content
    </a>
    
      <div class="dialog-off-canvas-main-canvas" data-off-canvas-main-canvas>
    <div id="page" class="layout-container">

  <div id="navbar">
    
    <!--
    
    
    -->
  </div>

  <div id="drawer-overlay"></div>
  <div id="drawer">
    
  </div>

  <header id="header" role="banner">
    <div id="header-content">
      
    </div>
    <div id="header-bg">
      
    </div>
  </header>

  
  <div id="content">
    
    <main role="main" id="main" class="container">
      <div id="main-content" tabindex="-1">
        <div class="card-holder">
            <div class="region region-breadcrumb">
    <div id="block-material-compile-breadcrumbs">
  
    
        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">
    <h2 class="visually-hidden">Breadcrumb</h2>
    <ol>
          <li>
                  <a href="/">Home</a>
              </li>
        </ol>
  </nav>

  </div>

  </div>

            <div class="region region-highlighted">
    <div data-drupal-messages-fallback class="hidden"></div>

  </div>

          

          <div class="layout-content">
              <div class="region region-content">
    <div id="block-material-compile-page-title--2">
  
    
      
  <h1>Calidad</h1>


  </div>
<div id="block-material-compile-content--2">
  
    
      <div class="views-element-container"><div class="js-view-dom-id-1e9caf93ecf1b49e952929e911be9ca1b0d9e32769a2ab405b0be00c28e30994">
  
  
  

      <header>
      <div about="/tag/calidad" typeof="schema:Thing">
  
      <span property="schema:name" content="Calidad" class="hidden"></span>

  
</div>

    </header>
  
  
  

      <div class="views-row"><article data-history-node-id="15" role="article" about="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4-0" typeof="schema:Article">

  
      <h2>
      <a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4-0" rel="bookmark"><span property="schema:name">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</span>
</a>
    </h2>
      <span property="schema:name" content="Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal" class="hidden"></span>


      <footer>
      <article typeof="schema:Person" about="/user/1">
  </article>

      <div>
        Submitted by <span rel="schema:author"><span lang="" about="/user/1" typeof="schema:Person" property="schema:name" datatype="">Oskar</span></span>
 on <span property="schema:dateCreated" content="2021-04-14T21:34:20+00:00">Wed, 04/14/2021 - 23:34</span>
          <span property="schema:dateCreated" content="2021-04-14T21:34:20+00:00" class="hidden"></span>

      </div>
    </footer>
  
  <div>
    
            <div property="schema:text" class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Con las últimas versiones de PHP 7.4 se ha cambiado de versión también en Xdebug, ahora las últimas versiones de php 7.4 y 8.x tiene Xdebug 3.x, y trae varios cambios respecto a la versión 2.x, vamos a ver como configurar el contenedor de Wodby 4 Drupal y el editor VSCode para poder depurar nuestro código.</p>

<p> </p>

<p>Lo primero, en el archivo docker-compose.override.yml vamos a descomentar las siguientes opciones:</p>

<pre>
<code class="language-bash">  php:
    environment:
#      SSH_AUTH_SOCK: /ssh-agent
#      # Read instructions at https://wodby.com/docs/stacks/php/local/#xdebug
      PHP_XDEBUG: 1
      PHP_XDEBUG_MODE: debug
#      PHP_IDE_CONFIG: serverName=my-ide
#      PHP_XDEBUG_IDEKEY: "my-ide"
#      PHP_XDEBUG_CLIENT_HOST: host.docker.internal # Docker 18.03+ Mac/Win
      PHP_XDEBUG_CLIENT_HOST: 172.17.0.1 # Linux
#      PHP_XDEBUG_CLIENT_HOST: 10.254.254.254 # macOS, Docker &lt; 18.03
#      PHP_XDEBUG_CLIENT_HOST: 10.0.75.1 # Windows, Docker &lt; 18.03
#      PHP_XDEBUG_LOG: /tmp/php-xdebug.log
      PHP_XDEBUG_REMOTE_AUTOSTART: 1
      PHP_XDEBUG_DEFAULT_ENABLE: 1
      PHP_XDEBUG_REMOTE_CONNECT_BACK: 0</code></pre>

<p> </p>

<p>Tenemos que regenerar el contenidor ejecutando: </p>

<pre>
<code class="language-bash">docker-compose up --build</code></pre>

<p> </p>

<p>Una vez configurado el contenedor tenemos que instalar el plugin de Xdebug para VScode, existen varios plugins de Xdebug para VSCode, yo he instado el creado por Felix Becker, tiene más de 4 millones de descargas, al instalarlo aparece en la barra de iconos de VSCode de la izquierda el icono de play/triangulo y un escarabajo..</p>

<p> </p>

<p> </p>

<article class="align-center">
  
      
  <div class="field field-name-field-media-image field-type-image field-label-visually_hidden">
    <div class="field-label visually-hidden">Image</div>
              <div class="field-item">  <img src="/sites/default/files/styles/large/public/2021-04/Captura%20de%20pantalla%20de%202021-04-14%2023-52-51.png?itok=cVF1AMeL" width="468" height="447" alt="Botón activación xdebug VSCode" loading="lazy" typeof="Image" />


</div>
          </div>

  </article>


<p> </p>

<p>Al pinchar en el icono de Xdebug muestra el siguiente texto:</p>

<article class="align-center">
  
      
  <div class="field field-name-field-media-image field-type-image field-label-visually_hidden">
    <div class="field-label visually-hidden">Image</div>
              <div class="field-item">  <img src="/sites/default/files/styles/large/public/2021-04/Captura%20de%20pantalla%20de%202021-04-14%2023-49-30.png?itok=Mxo0r7wF" width="476" height="366" alt="Configurar xdebug en VSCode" loading="lazy" typeof="Image" />


</div>
          </div>

  </article>


<p> </p>

<p>Pincha en el enlace create a launch.json file, del listado de opciones del desplegable que se muestra seleccionamos PHP, y nos creará un archivo con el siguiente texto:</p></div>
      
  <div class="field field-name-field-tags field-type-entity-reference field-label-above">
    <div class="field-label">Tags</div>
          <div class="field-items">
              <div class="field-item"><a href="/tag/calidad" property="schema:about" hreflang="en">Calidad</a></div>
          <div class="field-item"><a href="/tag/xdebug3" property="schema:about" hreflang="en">Xdebug3</a></div>
          <div class="field-item"><a href="/tag/vscode" property="schema:about" hreflang="en">VSCode</a></div>
              </div>
      </div>
<ul class="links inline"><li class="node-readmore"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4-0" rel="tag" title="Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal" hreflang="en">Read more<span class="visually-hidden"> about Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</span></a></li></ul>
  </div>

</article>
</div>
    <div class="views-row"><article data-history-node-id="13" role="article" about="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" typeof="schema:Article">

  
      <h2>
      <a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" rel="bookmark"><span property="schema:name">Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</span>
</a>
    </h2>
      <span property="schema:name" content="Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos" class="hidden"></span>


      <footer>
      <article typeof="schema:Person" about="/user/1">
  </article>

      <div>
        Submitted by <span rel="schema:author"><span lang="" about="/user/1" typeof="schema:Person" property="schema:name" datatype="">Oskar</span></span>
 on <span property="schema:dateCreated" content="2021-04-05T16:03:50+00:00">Mon, 04/05/2021 - 18:03</span>
          <span property="schema:dateCreated" content="2021-04-05T16:03:50+00:00" class="hidden"></span>

      </div>
    </footer>
  
  <div>
    
            <div property="schema:text" class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><blockquote>
<p><b>CodeSniffer</b> es un script de PHP5 que analiza código <b>PHP</b> para detectar violaciones de un conjunto definido de normas de codificación. Analiza el código fuente para ver si cumple o no con un estándar, ya sea Zend, Pear o uno personalizado.</p>
<cite><a href="http://www.juntadeandalucia.es/servicios/madeja/contenido/recurso/270#:~:text=CodeSniffer%20es%20un%20script%20de,Zend%2C%20Pear%20o%20uno%20personalizado.">Junta de Andalucía</a></cite></blockquote>

<p> </p>

<p><a href="https://github.com/squizlabs/PHP_CodeSniffer">CodeSniffer</a> es una herramienta muy sencilla de usar y con uan instalación muy simple que permitirá mantener los estándares de codificación de nuestros proyectos.<br />
La inslatación es muy sencillo, lo primero comprobamos que tengamos instalado CodeSniffer </p>

<pre>
<code class="language-bash">phpcs -i</code></pre>

<p>Tiene que devolver algo parecido a esta salidad, no exactamente la misma ya que yo ya tengo instalada los estándares de Drupal:</p>

<pre>
<code class="language-bash">The installed coding standards are Zend, PSR1, PSR12, Squiz, PEAR, MySource, PSR2, Drupal, DrupalPractice and VariableAnalysis
</code></pre>

<p>Si no tenemos instalado CodeSniffer lo instalamos:</p>

<pre>
<code class="language-bash">composer require --dev drupal/core-dev</code></pre>

<p>Y comprobamos que ahora si tengamos instalado el CodeSniffer.</p>

<p> </p>

<p>Una vez instalado tenemos que instalar los estándares de código de Drupal:</p>

<pre>
<code class="language-bash">composer require --dev dealerdirect/phpcodesniffer-composer-installer</code></pre>

<p> </p>

<p>Y ya tendríamos instalado lo básico que usar esta herramienta.</p>

<p>Para usar el analizador de CodeSniffer lo ejecutamos de la siguiente manera:</p>

<pre>
<code class="language-bash">phpcs --standard=Drupal --extensions=php,module web/modules/contrib/
</code></pre>

<p> </p>

<p>Con esta orden o nos indica que esta todo bien o nos devolverá un informe como el siguiente:</p></div>
      
  <div class="field field-name-field-tags field-type-entity-reference field-label-above">
    <div class="field-label">Tags</div>
          <div class="field-items">
              <div class="field-item"><a href="/tag/calidad" property="schema:about" hreflang="en">Calidad</a></div>
          <div class="field-item"><a href="/tag/codesniffer" property="schema:about" hreflang="en">CodeSniffer</a></div>
          <div class="field-item"><a href="/tag/drupal-9" property="schema:about" hreflang="en">Drupal 9</a></div>
              </div>
      </div>
<ul class="links inline"><li class="node-readmore"><a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" rel="tag" title="Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos" hreflang="en">Read more<span class="visually-hidden"> about Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</span></a></li></ul>
  </div>

</article>
</div>
    <div class="views-row"><article data-history-node-id="11" role="article" about="/blog/2021-03-13/ovh-y-lo-inesperado" typeof="schema:Article">

  
      <h2>
      <a href="/blog/2021-03-13/ovh-y-lo-inesperado" rel="bookmark"><span property="schema:name">OVH y lo inesperado</span>
</a>
    </h2>
      <span property="schema:name" content="OVH y lo inesperado" class="hidden"></span>


      <footer>
      <article typeof="schema:Person" about="/user/1">
  </article>

      <div>
        Submitted by <span rel="schema:author"><span lang="" about="/user/1" typeof="schema:Person" property="schema:name" datatype="">Oskar</span></span>
 on <span property="schema:dateCreated" content="2021-03-13T10:05:03+00:00">Sat, 03/13/2021 - 11:05</span>
          <span property="schema:dateCreated" content="2021-03-13T10:05:03+00:00" class="hidden"></span>

      </div>
    </footer>
  
  <div>
    
            <div property="schema:text" class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Vamos a ser sinceros, nadie se esperaba que un datacenter OVH ardiese quemando todo, ni ellos ni nosotros, tampoco quiero cortar cabezas, prefiero que OVH haya aprendido de sus errores y haga todo lo posible para que estos errores no vuelvan a ocurrir.</p>

<p>Por otro lado, no tenemos que llevarnos las manos a la cabeza diciendo que OVH no son profesionales, son unos inútiles, etc, o no al menos hasta que sepamos (si algún dia sabemos) que ha pasado, porque otra catástrofe parecida ocurría en 2011 cuando el datacenter de Amazon en Irlanda dejaba de funcionar al caer un rayo.</p>

<p> </p>

<div class="text-align-center">
<figure role="group" class="align-center">
<article>
  
      
  <div class="field field-name-field-media-image field-type-image field-label-visually_hidden">
    <div class="field-label visually-hidden">Image</div>
              <div class="field-item">  <img src="/sites/default/files/styles/large/public/2021-03/EwG3NKNXcAIRYgO.png?itok=RezJRftP" width="480" height="251" alt="Edificio/datacenter de OVH ardiendo." loading="lazy" typeof="Image" />


</div>
          </div>

  </article>

<figcaption></figcaption>
</figure>

</div>

<p><br />
Y si preguntamos a la gente de sistemas descubrimos que desastres como estos han ido ocurriendo a lo largo de la historia, recuerdo uno que ocurrió hace muchos años en un datacenter en EEUU, no recuerdo cual fue el problema, si la solución y fue volcar a cintas de backup de HP y traslada dichas cintas en furgoneta a otro datacenter, como esta existen más historias, y como parece que estamos condenados a que ocurran vamos a ver varios "trucos" para evitar que esto pase.</p>

<p> </p></div>
      
  <div class="field field-name-field-tags field-type-entity-reference field-label-above">
    <div class="field-label">Tags</div>
          <div class="field-items">
              <div class="field-item"><a href="/tag/gestion" property="schema:about" hreflang="en">Gestión</a></div>
          <div class="field-item"><a href="/tag/calidad" property="schema:about" hreflang="en">Calidad</a></div>
          <div class="field-item"><a href="/tag/seguridad" property="schema:about" hreflang="en">Seguridad</a></div>
              </div>
      </div>
<ul class="links inline"><li class="node-readmore"><a href="/blog/2021-03-13/ovh-y-lo-inesperado" rel="tag" title="OVH y lo inesperado" hreflang="en">Read more<span class="visually-hidden"> about OVH y lo inesperado</span></a></li></ul>
  </div>

</article>
</div>

    

  
  

  
  <a href="http://default/taxonomy/term/6/feed" class="feed-icon">
  Subscribe to Calidad
</a>

</div>
</div>

  </div>

  </div>

          </div>
        </div>
              </div>
              <aside id="sidebar-first" class="sidebar layout-sidebar-first" role="complementary">
            <div class="region region-sidebar-first">
    <div id="block-presentaciondelblog">
  
    
      
            <div class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Este es mi blog, "el blog de Oskar", Me puedes escribir vía <a href="https://www.linkedin.com/in/oskarcalvo/">Linkedin</a></p>
</div>
      
  </div>
<div class="views-element-container" id="block-views-block-last-10-articles-block-1">
  
      <h2>Últimos artículos</h2>
    
      <div><div class="js-view-dom-id-6243558343cef6cc53fbf9151e16e3940045c3d88e497f6a5eb20abe1137dcbc">
  
  
  

  
  
  

  <div class="item-list">
  
  <ul>

          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4-0" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" hreflang="en">Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-05</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-20/tome-y-gitlab-pages-para-crear-paginas-estaticas-de-forma-rapida-y-sencilla" hreflang="en">Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla.</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-20</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-13/ovh-y-lo-inesperado" hreflang="en">OVH y lo inesperado</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-13</span></span></li>
    
  </ul>

</div>

    

  
  

  
  
</div>
</div>

  </div>

  </div>

        </aside>
      
      
    </main>
    
  </div>
  <footer id="footer" role="contentinfo">
    
    <div id="footer-content">
      
    </div>
  </footer>

</div>
  </div>

    
    <script type="application/json" data-drupal-selector="drupal-settings-json">{"path":{"baseUrl":"\/","scriptPath":null,"pathPrefix":"","currentPath":"taxonomy\/term\/6","currentPathIsAdmin":false,"isFront":false,"currentLanguage":"en"},"pluralDelimiter":"\u0003","suppressDeprecationErrors":true,"user":{"uid":0,"permissionsHash":"9b4d8556262e2e38b0af236cf1dbcd3346d83a0d1ed154b46f4ac15d03ce2257"}}</script>
<script src="/sites/default/files/js/js_b7BC_YTtFXAsUEtL5nCoXPJ7aIHnk5fcdkjSQ4XyTbg.js"></script>

  </body>
</html>
